﻿Imports MediaCy.Addins.Scripting.Workflow
Imports MediaCy.Addins.Measurements
Public Module Module1

	Public Function FD007() As SimpleScript
		FD007 = New SimpleScript
		Dim doc1, image1, doc2
		Dim docList1 = New List(1), doc3, image2, window1, window2, window3

		With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "CountSize"
			.Active = False
			.Run()
		End With

		With Application.DocumentCommands.Active(FD007)
			.Run(doc1)
		End With

		With Measure.MeasurementsCommands.Options(FD007)
			.ActiveClass = 1
			.Run(doc1)
		End With

		With Measure.Measurements.OptionsCommands.Open(FD007)
			.FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Oprindelig.iqo"
			.FilterIndex = 1
			.Run(doc1)
		End With

		With Measure.MeasurementsCommands.ExecuteCount(FD007)
			.Run(doc1)
		End With

		With Measure.Measurements.TableCommands.SendToExcel(FD007)
			.UseStatistics = False
			.Active = False
			.Run(doc1)
		End With

		With Measure.Measurements.CreateCommands.Mask(FD007)
			.Run(doc1, image1)
		End With

		With Application.DocumentCommands.Activate(FD007)
			.Run(image1, doc2)
		End With

		With Application.DocumentCommands.Open(FD007)
			.Filenames = New String() {ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FiveLines.bmp"}
			.Run(docList1)
		End With

		With Application.DocumentCommands.Activate(FD007)
			.Run(docList1(0), doc3)
		End With

		With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "Process"
			.Active = False
			.Run()
		End With

		With Process.ProcessCommands.Operations(FD007)
			.Operation = eOperation.AND
			.NumberValue = 0R
			.ResultType = eResultType.Apply
			.Run(doc3, image1, image2)
		End With

		With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "CountSize"
			.Active = False
			.Run()
		End With

		With Measure.MeasurementsCommands.Options(FD007)
			.ActiveClass = 1
			.Run(doc3)
		End With

		With Measure.Measurements.OptionsCommands.Open(FD007)
			.FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Stumper.iqo"
			.FilterIndex = 1
			.Run(doc3)
		End With

		With Measure.MeasurementsCommands.ExecuteCount(FD007)
			.Run(doc3)
		End With

		With Measure.Measurements.TableCommands.SendToExcel(FD007)
			.UseStatistics = False
			.Active = False
			.Run(doc3)
		End With

		With Measure.MeasurementsCommands.DeleteAll(FD007)
			.Run(doc3)
		End With

		With Application.WindowCommands.Define(FD007)
			.Run(doc3, window1)
		End With

		With Application.WindowCommands.Close(FD007)
			.Run(window1)
		End With

		With Application.DocumentCommands.Activate(FD007)
			.Run(doc2, doc2)
		End With

		With Application.WindowCommands.Define(FD007)
			.Run(doc2, window2)
		End With

		With Application.WindowCommands.Close(FD007)
			.Run(window2)
		End With

		With Application.DocumentCommands.Activate(FD007)
			.Run(doc1, doc1)
		End With

		With Measure.MeasurementsCommands.DeleteAll(FD007)
			.Run(doc1)
		End With

		With Application.WindowCommands.Define(FD007)
			.Run(doc1, window3)
		End With

		With Application.WindowCommands.Close(FD007)
			.Run(window3)
		End With

	End Function

    Public Function LoopOnHidden(doc1 As Object) As SimpleScript
        LoopOnHidden = New SimpleScript
        Dim image1
        Dim docList1 = New List(1), doc3, image2

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                Debug.Print "Batch image: " & doc1.Name
            End If
        End With


        With Measure.MeasurementsCommands.Options(LoopOnHidden)
            .ActiveClass = 1
            .Run(doc1)
        End With

        With Measure.Measurements.OptionsCommands.Open(LoopOnHidden)
            .FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Oprindelig.iqo"
            .FilterIndex = 1
            .Run(doc1)
        End With

        With Measure.MeasurementsCommands.ExecuteCount(LoopOnHidden)
            .Run(doc1)
        End With

        'collect data
        With Measure.Data.CollectorCommands.Collect(LoopOnHidden)
            .Run(New List({doc1}))
        End With

        With Measure.Measurements.CreateCommands.Mask(LoopOnHidden)
            'create invisible image
            .Visible=False
            .Run(doc1, image1)
        End With

        With Application.DocumentCommands.Open(LoopOnHidden)
            .Filenames = New String() {ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FiveLines.bmp"}
            'open invisible image
            .Visible=False
            .Run(docList1)
        End With

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                doc3=docList1(0)
            End If
        End With

        With Process.ProcessCommands.Operations(LoopOnHidden)
            .Operation = eOperation.AND
            .NumberValue = 0R
            .ResultType = eResultType.Apply
            .Run(doc3, image1, image2)
        End With

        With Measure.MeasurementsCommands.Options(LoopOnHidden)
            .ActiveClass = 1
            .Run(doc3)
        End With

        With Measure.Measurements.OptionsCommands.Open(LoopOnHidden)
            .FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Stumper.iqo"
            .FilterIndex = 1
            .Run(doc3)
        End With

        With Measure.MeasurementsCommands.ExecuteCount(LoopOnHidden)
            .Run(doc3)
        End With

        'collect data
        With Measure.Data.CollectorCommands.Collect(LoopOnHidden)
            .Run(New List({doc3}))
        End With

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                ' close all images, avoid user prompt clearing Midified flag
                doc3.Data.Modified=False
                doc3.Data.Close
                doc1.Data.Modified=False
                doc1.Data.Close
                image1.Modified=False
                image1.Close
                ThisApplication.Documents.CloseAll
            End If
        End With
    End Function

End Module
